## org.eclipse.emf.cdo.server
Interface ITransaction

All Superinterfaces:
  CDOCommonView, org.eclipse.net4j.util.collection.Closeable, IView

    public interface ITransaction

extends IView

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`CDOCommonView.Type`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`UNSPECIFIED_DATE`

Method Summary
`int` `getTransactionID()` Returns the ID of this transactional view.

Methods inherited from interface org.eclipse.emf.cdo.server.IView
`getRepository, getResourceID, getSession`

Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`getTimeStamp, getViewID, getViewType`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Method Detail

### getTransactionID

    int getTransactionID()

  Returns the ID of this transactional view. Same as `getViewID()`.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.